package com.mortals.xhx.module.device.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceModuleUseVo;
/**
* 设备模块使用频率实体对象
*
* @author zxfei
* @date 2022-07-01
*/

public class DeviceModuleUseEntity extends DeviceModuleUseVo {
    private static final long serialVersionUID = 1L;

    /**
    * 模块ID
    */
    private Long moduleId;
    /**
    * 调用次数
    */
    private Long useNum;



    public DeviceModuleUseEntity(){}
    /**
    * 获取 模块ID
    * @return Long
    */
    public Long getModuleId(){
        return moduleId;
    }
    /**
    * 设置 模块ID
    * @param moduleId
    */
    public void setModuleId(Long moduleId){
        this.moduleId = moduleId;
    }
    /**
    * 获取 调用次数
    * @return Long
    */
    public Long getUseNum(){
        return useNum;
    }
    /**
    * 设置 调用次数
    * @param useNum
    */
    public void setUseNum(Long useNum){
        this.useNum = useNum;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceModuleUseEntity) {
            DeviceModuleUseEntity tmp = (DeviceModuleUseEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",moduleId:").append(getModuleId());
        sb.append(",useNum:").append(getUseNum());
        return sb.toString();
    }

    public void initAttrValue(){

            this.moduleId = null;

            this.useNum = null;
    }
}