package com.mortals.xhx.module.device.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceModuleVo;
/**
* 设备模块信息实体对象
*
* @author zxfei
* @date 2022-07-01
*/

public class DeviceModuleEntity extends DeviceModuleVo {
    private static final long serialVersionUID = 1L;

    /**
    * 模块名称
    */
    private Long moduleId;
    /**
    * 所属设备
    */
    private Long deviceId;



    public DeviceModuleEntity(){}
    /**
    * 获取 模块名称
    * @return Long
    */
    public Long getModuleId(){
        return moduleId;
    }
    /**
    * 设置 模块名称
    * @param moduleId
    */
    public void setModuleId(Long moduleId){
        this.moduleId = moduleId;
    }
    /**
    * 获取 所属设备
    * @return Long
    */
    public Long getDeviceId(){
        return deviceId;
    }
    /**
    * 设置 所属设备
    * @param deviceId
    */
    public void setDeviceId(Long deviceId){
        this.deviceId = deviceId;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceModuleEntity) {
            DeviceModuleEntity tmp = (DeviceModuleEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",moduleId:").append(getModuleId());
        sb.append(",deviceId:").append(getDeviceId());
        return sb.toString();
    }

    public void initAttrValue(){

            this.moduleId = null;

            this.deviceId = null;
    }
}