package com.mortals.xhx.module.device.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.device.model.DeviceModuleUseEntity;
import com.mortals.xhx.module.device.service.DeviceModuleUseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 设备模块使用频率
*
* @author zxfei
* @date 2022-06-27
*/
@RestController
@RequestMapping("device/module/use")
public class DeviceModuleUseController extends BaseCRUDJsonBodyMappingController<DeviceModuleUseService,DeviceModuleUseEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DeviceModuleUseController(){
        super.setModuleDesc( "设备模块使用频率");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }


}